---
title: GitLab for Open Source
suppress_header: true
extra_css:
  - open-source.css
  - faq.css
extra_js:
  - open-source.js
  - libs/tweenmax.min.js
  - faq.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/icons/explore-open-source.svg", alt: "Gitlab explore open source svg"
    %h1 GitLab for Open Source
    %p GitLab believes in a world where everyone can contribute and we like to support those who share our mission. Open Source organizations can access our top tier features, plus 50,000 CI pipeline minutes, for free.
    = link_to "GitLab for Open Source licenses", "/solutions/open-source/program", class: "btn cta-btn accent"

.toc-links
  = link_to "FOSS spotlight", "#foss-spotlight"
  = link_to "Popular projects", "#popular-projects"
  = link_to "What people are saying", "#twitter"
  = link_to "Get started", "#get-started"

.gitlab-content-container.open-source-content.padding-top50
  .content.spotlight#foss-spotlight
    %h2.content-title FOSS Spotlight: Gnome
    %iframe{ src: "https://www.youtube.com/embed/v6GTrbfe9xk", allowfullscreen: "" }
  .content.popular-projects#popular-projects
    %h2.content-title Popular projects
    .grid-layout.grid-layout3
      - data.oss_projects.each do |project|
        - if project.featured
          %a.grid-item.tile.tile-animated{ href: "#{project.project_url}", target: "_blank" }
            = image_tag "#{project.featured.logo}", class: "tile-logo", alt: "#{project.project_name} logo"
            .tile-content
              %h3
                = project.project_name
              %p
                View the project on GitLab
    = link_to "More open source projects", "/solutions/open-source/projects", class: "btn cta-btn purple margin-top20"
  .content.tweets#twitter
    %h2.content-title What people are saying
    .flex-container
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Gnome has moved to Gitlab!
          %a{:href => "https://t.co/SqvJ8w6tXl"} https://t.co/SqvJ8w6tXl
          %br/
          = succeed "It's" do
            %br/
        — Wilfred Hughes (@_wilfredh)
        %a{:href => "https://twitter.com/_wilfredh/status/1002284495775682560?ref_src=twsrc%5Etfw"} May 31, 2018
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Great to see Inkscape, the superb
          %a{:href => "https://twitter.com/hashtag/FOSS?src=hash&ref_src=twsrc%5Etfw"} #FOSS
          vector drawing app, doing the ethically consistent thing - moving to Gitlab.
          %a{:href => "https://t.co/7KiTNV2JcJ"} https://t.co/7KiTNV2JcJ
        — Dave Lane (@lightweight)
        %a{:href => "https://twitter.com/lightweight/status/874381422567407616?ref_src=twsrc%5Etfw"} June 12, 2017
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Mass projects migration test to
          %a{:href => "https://twitter.com/gitlab?ref_src=twsrc%5Etfw"} @gitlab
          has been successful, we are now ready for a full switch by next week!
          %a{:href => "https://t.co/VnuU13Q8Jc"} https://t.co/VnuU13Q8Jc
        — Carlos Soriano (@csoriano1618)
        %a{:href => "https://twitter.com/csoriano1618/status/998301363321876480?ref_src=twsrc%5Etfw"} May 20, 2018
      %script{:async => "", :charset => "utf-8", :src => "https://platform.twitter.com/widgets.js"}
  .content.quote
    %blockquote
      .blockquote-background#blockquote-background
      .flex-container.flex-column
        %p "Free software enables and empowers us as a society to build upon past knowledge and create greater and more impactful technologies."
        %p.author
          Carlos Soriano
          %br Board of Directors, GNOME
  .content.opensource-get-started#get-started
    .content-section-title-container
      %h2 Get Started
      %p We think there’s something magical about building free software with free software.
    .flex-container
      = link_to "/community", class: "tile tile-animated" do
        = image_tag "/images/icons/solid-icons/community-icon.svg", class: "tile-icon margin-bottom30", alt: "Gitlab community icon svg"
        .tile-content
          %h3 Community Resources
      %a.tile.tile-animated{ href: "https://gitlab.com/explore/projects/starred", target: "_blank" }
        = image_tag "/images/icons/solid-icons/trending-icon.svg", class: "tile-icon margin-bottom30", alt: "Gitlab trending icon svg"
        .tile-content
          %h3 Trending Projects
    .flex-container
      %a.tile.tile-animated{ href: "https://gitlab.com/gitlab-org/gitlab-development-kit/", target: "_blank" }
        = image_tag "/images/downloads/logo.svg", class: "tile-icon margin-bottom30", alt: "Gitlab logo svg"
        .tile-content
          %h3 GitLab Development Kit
      = link_to "/blog/2017/11/01/gitlab-switches-to-dco-license", class: "tile tile-animated" do
        = image_tag "/images/icons/solid-icons/docs-icon.svg", class: "tile-icon margin-bottom30", alt: "Gitlab docs icon svg"
        .tile-content
          %h3 Why we switched to DCO
